# Workflow Execution API

**Description:** Initiates execution of the specified workflow.

**Try it out:** [Swagger Reference](https://arcee.portal.swaggerhub.com/orchestra/default/arcee-orchestra-v-1-0-0#/default/executeWorkflow)

### **Request Syntax:**

```json
POST /workflows/{workflow_id}/execute
Authentication: Bearer <Your API key>
Content-type: application/json

{
  "input_variable_1": "",
  "input_variable_2": ""
}
```

{% hint style="info" %}
You can get the {workflow\_id} from the workflow page.
{% endhint %}

### **Response Syntax:**

```json
{
    "message": "",
    "run_id": ""
}
```

<details>

<summary>Execute a Workflow Response Example</summary>

```json
{
    "message": "Workflow execution started",
    "run_id": "fda37c90-dd1c-4317-82d1-797b7f77fca5"
}
```

</details>

### **Response Syntax Variables**

* **Message**: Indication that the workflow execution has begun
* **Run id**: ID for this specific execution of the workflow


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arcee.ai/arcee-orchestra/workflows/api-invocation/workflow-execution-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
